Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security
Class Certificate

    java.lang.Object
      |
      +--weblogic.security.Certificate

Direct Known Subclasses:
  X509

Deprecated. Deprecated in WebLogic Server 7.0.

public abstract class Certificate
extends java.lang.Object

A generic certificate class, consisting of a key, a holder of the certificate, and a validated bit. An example of a subclass is X509.

See Also:
  `X509`

Field Summary
`protected Entity` | `holder` Deprecated. The holder of the certificate.
`protected Key` | `key` Deprecated. The key associated with the certificate.
`protected boolean` | `validated` Deprecated. True if certificate is valid, false otherwise.

Constructor Summary
`Certificate()` Deprecated.
`Certificate(java.io.File file)` Deprecated. Initialize certificate from a file.
`Certificate(java.io.InputStream is)` Deprecated. Initialize certificate from a InputStream.
`Certificate(java.net.URL url)` Deprecated. Initialize certificate from a URL.

Method Summary
`Entity` | `getHolder()` Deprecated. Get the holder associated with the certificate.
`Key` | `getKey()` Deprecated. Get the key associated with the certificate.
`void` | `initialize(java.io.File file)` Deprecated. Initialize from a file.
`abstract void` | `initialize(java.io.InputStream is)` Deprecated. This method actually performs the certificate initialization; implemented by a Certificate subclass.
`void` | `initialize(java.net.URL url)` Deprecated. Initialize from a URL.
`abstract void` | `save(java.io.OutputStream os)` Deprecated. Output the bytes needed for initialize(InputStream) to regenerate the certificate.
`boolean` | `valid()` Deprecated. Return true if certificate has been validated, false otherwise.
`abstract boolean` | `verify()` Deprecated. Verify the certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### holder

    protected Entity holder

  Deprecated.
  The holder of the certificate.

### validated

    protected boolean validated

  Deprecated.
  True if certificate is valid, false otherwise.

### key

    protected Key key

  Deprecated.
  The key associated with the certificate.

Constructor Detail

### Certificate

    public Certificate()

  Deprecated.

### Certificate

    public Certificate(java.io.InputStream is)
                throws KeyManagementException

  Deprecated.
  Initialize certificate from a InputStream.

### Certificate

    public Certificate(java.io.File file)
                throws KeyManagementException

  Deprecated.
  Initialize certificate from a file.

### Certificate

    public Certificate(java.net.URL url)
                throws KeyManagementException

  Deprecated.
  Initialize certificate from a URL.

Method Detail

### initialize

    public abstract void initialize(java.io.InputStream is)
                             throws KeyManagementException

  Deprecated.
  This method actually performs the certificate initialization; implemented by a Certificate subclass.

### initialize

    public void initialize(java.io.File file)
                    throws KeyManagementException

  Deprecated.
  Initialize from a file.

### initialize

    public void initialize(java.net.URL url)
                    throws KeyManagementException

  Deprecated.
  Initialize from a URL.

### save

    public abstract void save(java.io.OutputStream os)

  Deprecated.
  Output the bytes needed for initialize(InputStream) to regenerate the certificate.

### verify

    public abstract boolean verify()
                            throws KeyManagementException,
                                   AuthenticationException

  Deprecated.
  Verify the certificate.

### valid

    public boolean valid()

  Deprecated.
  Return true if certificate has been validated, false otherwise.

### getKey

    public Key getKey()

  Deprecated.
  Get the key associated with the certificate.

### getHolder

    public Entity getHolder()

  Deprecated.
  Get the holder associated with the certificate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference